import { Component, OnInit, ViewEncapsulation } from '@angular/core';

@Component({
  selector: 'main',
  templateUrl: './main.component.html',
  encapsulation: ViewEncapsulation.None,
})
export class GameMainComponent implements OnInit {
  /**
   * Constructor
   */
  constructor() {}

  ngOnInit(): void {}
  /**
   * Track by function for ngFor loops
   *
   * @param index
   * @param item
   */
  trackByFn(index: number, item: any): any {
    return item.id || index;
  }
}
